<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolArchitectureSelector" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>Architecture Selector</refname>

    <refpurpose>Graphical user interface for system's architecture
    selection.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Description</title>

    <para>sisotool is able to manage 6 different system architectures:</para>

    <itemizedlist>
      <listitem>
        <para>Archi1 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi1.png"/>
            </imageobject>
          </mediaobject></para>
      </listitem>

      <listitem>
        <para>Archi2 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi2.png"/>
            </imageobject>
          </mediaobject></para>
      </listitem>

      <listitem>
        <para>Archi3 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi3.png"/>
            </imageobject>
          </mediaobject></para>
      </listitem>

      <listitem>
        <para>Archi4 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi4.png"/>
            </imageobject>
          </mediaobject></para>
      </listitem>

      <listitem>
        <para>Archi5 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi5.png"/>
            </imageobject>
          </mediaobject>
          Dedicated to internal model controller.
        </para>
      </listitem>

      <listitem>
        <para>Archi6 <mediaobject>
            <imageobject>
              <imagedata fileref="../../architectures/png/archi6.png"/>
            </imageobject>
          </mediaobject>
        Dedicated to successive loop closure.</para>
      </listitem>
    
    </itemizedlist>

    <para>Where green blocks represents the fixed components of the system,
    the red ones, the tunable components. The system's input ports are blue,
    while the output ports are orange. The blocks' labels are used within
    sisotool as block, input and output identifiers.</para>

    <para>The architecture selector GUI provides a drop-down list of the above
    images. Once the user as made his choice, he has to validate it with the
    "Apply" button. The GUI remains opened to recall the meaning of each
    identifier. Close the window to quit the architecture manager. </para>

    <para>It is recommended specifying the system architecture at the
    beginning of the project because the definition of blocks can
    change.</para>
  </refsection>
</refentry>
